/*                      QBCC Project

This source file is licensed under the GNU Public Licence which should be 
included with the distribution of this source.

*/
#ifndef __KEYWORD_H__
#define __KEYWORD_H__

// Keyword Translation Prototype
int TranslateKEYWORD(char *keyword);

// Individual keyword prototypes
void Keyword_DECLARE(char *retstr);					// DECLARE
void Keyword_TYPE(char *retstr);					// TYPE
void Keyword_DIM(char *retstr);						// DIM
void Keyword_SUB(char *retstr,int type);			// SUB or FUNCTION
int Keyword_IF(char *retstr);						// IF
void Keyword_FOR(char *retstr);						// FOR
void Keyword_WHILE(char *retstr);					// WHILE
void Keyword_ELSE(char *retstr);					// ELSE
void Keyword_OPEN(char *retstr);					// OPEN
void Keyword_DO(char *retstr);						// DO
void Keyword_LOOP(char *retstr);					// LOOP
void Keyword_SELECTCASE(char *retstr);				// SELECT CASE
void Keyword_CASE(char *retstr);					// CASE
void Keyword_ENDSELECT(char *retstr);				// END SELECT
void Keyword_DEF(char *name);						// DEF***
void Keyword_STARTC(char *retstr);					// START_C
void Keyword_STARTASM(char *retstr);				// START_ASM
void Keyword_READ(char *retstr);					// READ
void Keyword_RESTORE(char *retstr);					// RESTORE

#endif  //  __KEYWORD_H__